#ifndef __BVHEXPORTER_H
#define __BVHEXPORTER_H

#include "common.h"
#include "Bvh.h"
#include <map>


namespace CHCDemoEngine
{

/** Class for exporting bvh to Jiris format
*/
class BvhExporter
{
public:

	bool Export(const std::string &filename, Bvh *bvh);


protected:

	void ConstructTriangleRangeMap(Bvh *bvh, BvhNode *node, int &first, int &last);

	void SaveNode(BvhNode *node, FILE *fw);


	//////////////

	std::map<BvhNode *, std::pair<int, int> > mTriangleRangeMap;
};


}

#endif